<template>
  <div>
    <ArticleChoiceField v-if="isFieldType('article_choice')"
                        :questionSetReference="questionSetReference"
                        :question="question"
                        :answer="answer">
    </ArticleChoiceField>
    <InputField v-if="isFieldType('input_field')"
                :questionSetReference="questionSetReference"
                :question="question"
                :answer="answer">
    </InputField>
  </div>
</template>

<script>
import InputField from "@/components/configuration/fields/InputField";
import ArticleChoiceField from "@/components/configuration/fields/ArticleChoiceField";

export default {
  name: "QuestionField",
  props: {
    questionSetReference: String,
    question: Object,
    answer: String
  },
  components: {
    InputField,
    ArticleChoiceField
  },
  methods: {
    isFieldType: function(type) {
      return this.$props.question.type === type
    }
  }
}
</script>

<style scoped>

</style>
